package com.lqkj.business.entity;

import com.lqkj.common.core.model.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.TreeEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 信息分类对象 cms_category
 *
 * @author lqkj
 * @date 2023-02-14
 */
public class CmsCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long categoryId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 类型 */
    @Excel(name = "类型", dictType = "cms_category_type")
    private Integer categoryType;

    /** 自定义链接 */
    @Excel(name = "自定义链接")
    private String diyUrl;

    /** 父菜单ID */
    private Long parentId;

    /** 显示顺序 */
    private Integer orderNum;

    /** 祖级列表 */
    private String ancestors;

    /** 子类别 */
    private List<CmsCategory> children = new ArrayList<>();

    public void setCategoryId(Long categoryId)
    {
        this.categoryId = categoryId;
    }

    public Long getCategoryId()
    {
        return categoryId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setCategoryType(Integer categoryType)
    {
        this.categoryType = categoryType;
    }

    public Integer getCategoryType()
    {
        return categoryType;
    }
    public void setDiyUrl(String diyUrl)
    {
        this.diyUrl = diyUrl;
    }

    public String getDiyUrl()
    {
        return diyUrl;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public List<CmsCategory> getChildren() {
        return children;
    }

    public void setChildren(List<CmsCategory> children) {
        this.children = children;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("categoryId", getCategoryId())
                .append("parentId", getParentId())
                .append("ancestors", getAncestors())
                .append("name", getName())
                .append("categoryType", getCategoryType())
                .append("diyUrl", getDiyUrl())
                .append("orderNum", getOrderNum())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
