package com.lqkj.business.entity;

import com.lqkj.common.annotation.Excels;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 信息管理对象 cms_news
 *
 * @author lqkj
 * @date 2023-02-16
 */
public class CmsNews extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private String newsId;

    /** 所属分类 */
//    @Excel(name = "所属分类")
    private Integer categoryId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 内容 */
    private String content;

    /** 浏览量 */
    @Excel(name = "浏览量")
    private Integer viewCount;

    /** 是否置顶 */
    @Excel(name = "是否置顶", readConverterExp = "true=是,false=否")
    private Boolean isTop;

    /** 是否轮播 */
    @Excel(name = "是否轮播", readConverterExp = "true=是,false=否")
    private Boolean carousel;

    /** 缩略图 */
    @Excel(name = "缩略图")
    private String thumbnail;

    /** 视频 */
    @Excel(name = "视频")
    private String videoUrl;

    private Object focusImgs;

    @Excels({
            @Excel(name = "分类名称", targetAttr = "name", type = Excel.Type.EXPORT)})
    private CmsCategory cmsCategory;

    public void setNewsId(String newsId)
    {
        this.newsId = newsId;
    }

    public String getNewsId()
    {
        return newsId;
    }
    public void setCategoryId(Integer categoryId)
    {
        this.categoryId = categoryId;
    }

    public Integer getCategoryId()
    {
        return categoryId;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setViewCount(Integer viewCount)
    {
        this.viewCount = viewCount;
    }

    public Integer getViewCount()
    {
        return viewCount;
    }
    public void setIsTop(Boolean isTop)
    {
        this.isTop = isTop;
    }

    public Boolean getIsTop()
    {
        return isTop;
    }
    public void setThumbnail(String thumbnail)
    {
        this.thumbnail = thumbnail;
    }

    public String getThumbnail()
    {
        return thumbnail;
    }
    public void setVideoUrl(String videoUrl)
    {
        this.videoUrl = videoUrl;
    }

    public String getVideoUrl()
    {
        return videoUrl;
    }

    public CmsCategory getCmsCategory() {
        return cmsCategory;
    }

    public void setCmsCategory(CmsCategory cmsCategory) {
        this.cmsCategory = cmsCategory;
    }

    public Object getFocusImgs() {
        return focusImgs;
    }

    public void setFocusImgs(Object focusImgs) {
        this.focusImgs = focusImgs;
    }


    public Boolean getCarousel() {
        return carousel;
    }

    public void setCarousel(Boolean carousel) {
        this.carousel = carousel;
    }

    @Override
    public String toString() {
        return "CmsNews{" +
                "newsId='" + newsId + '\'' +
                ", categoryId=" + categoryId +
                ", title='" + title + '\'' +
                ", content='" + content + '\'' +
                ", viewCount=" + viewCount +
                ", isTop=" + isTop +
                ", carousel=" + carousel +
                ", thumbnail='" + thumbnail + '\'' +
                ", videoUrl='" + videoUrl + '\'' +
                ", focusImgs=" + focusImgs +
                ", cmsCategory=" + cmsCategory +
                '}';
    }
}
