package com.lqkj.business.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.TreeEntity;

/**
 * 设备分类对象 device_category
 *
 * @author lqkj
 * @date 2023-03-14
 */
public class DeviceCategory extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** 分类编号 */
    private Integer categoryId;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String name;

    /** 默认图标 */
    @Excel(name = "默认图标")
    private String defaultIcon;

    /** 异常图标 */
    @Excel(name = "异常图标")
    private String errorIcon;

    /** 选中图标 */
    @Excel(name = "选中图标")
    private String selectedIcon;

    /** 最小级数 */
    @Excel(name = "最小级数")
    private Integer minZoom;

    /** 最大级数 */
    @Excel(name = "最大级数")
    private Integer maxZoom;

    /** 数据类型 */
    @Excel(name = "数据类型")
    private Integer dataType;

    /** 填充色 */
    @Excel(name = "填充色")
    private String fillColor;

    /** 边框色 */
    @Excel(name = "边框色")
    private String borderColor;

    /** 宽度 */
    @Excel(name = "宽度")
    private Integer width;

    /** 预设分类 */
    @Excel(name = "预设分类")
    private Boolean preset;

    public void setCategoryId(Integer categoryId)
    {
        this.categoryId = categoryId;
    }

    public Integer getCategoryId()
    {
        return categoryId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setDefaultIcon(String defaultIcon)
    {
        this.defaultIcon = defaultIcon;
    }

    public String getDefaultIcon()
    {
        return defaultIcon;
    }
    public void setErrorIcon(String errorIcon)
    {
        this.errorIcon = errorIcon;
    }

    public String getErrorIcon()
    {
        return errorIcon;
    }
    public void setSelectedIcon(String selectedIcon)
    {
        this.selectedIcon = selectedIcon;
    }

    public String getSelectedIcon()
    {
        return selectedIcon;
    }
    public void setMinZoom(Integer minZoom)
    {
        this.minZoom = minZoom;
    }

    public Integer getMinZoom()
    {
        return minZoom;
    }
    public void setMaxZoom(Integer maxZoom)
    {
        this.maxZoom = maxZoom;
    }

    public Integer getMaxZoom()
    {
        return maxZoom;
    }
    public void setDataType(Integer dataType)
    {
        this.dataType = dataType;
    }

    public Integer getDataType()
    {
        return dataType;
    }
    public void setFillColor(String fillColor)
    {
        this.fillColor = fillColor;
    }

    public String getFillColor()
    {
        return fillColor;
    }
    public void setBorderColor(String borderColor)
    {
        this.borderColor = borderColor;
    }

    public String getBorderColor()
    {
        return borderColor;
    }
    public void setWidth(Integer width)
    {
        this.width = width;
    }

    public Integer getWidth()
    {
        return width;
    }
    public void setPreset(Boolean preset)
    {
        this.preset = preset;
    }

    public Boolean getPreset()
    {
        return preset;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("categoryId", getCategoryId())
                .append("parentId", getParentId())
                .append("name", getName())
                .append("defaultIcon", getDefaultIcon())
                .append("errorIcon", getErrorIcon())
                .append("selectedIcon", getSelectedIcon())
                .append("minZoom", getMinZoom())
                .append("maxZoom", getMaxZoom())
                .append("dataType", getDataType())
                .append("fillColor", getFillColor())
                .append("borderColor", getBorderColor())
                .append("width", getWidth())
                .append("orderNum", getOrderNum())
                .append("preset", getPreset())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
