package com.lqkj.business.mapper;

import com.lqkj.business.entity.CameraInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 监控信息Mapper接口
 *
 * @author lh
 * @date 2022-09-30
 */
@Mapper
public interface CameraInfoMapper
{
    /**
     * 查询监控信息
     *
     * @param cameraId 监控信息主键
     * @return 监控信息
     */
    public CameraInfo selectCameraInfoByCameraId(String cameraId);

    /**
     * 查询监控信息列表
     *
     * @param cameraInfo 监控信息
     * @return 监控信息集合
     */
    public List<CameraInfo> selectCameraInfoList(CameraInfo cameraInfo);

    /**
     * 新增监控信息
     *
     * @param cameraInfo 监控信息
     * @return 结果
     */
    public int insertCameraInfo(CameraInfo cameraInfo);

    /**
     * 修改监控信息
     *
     * @param cameraInfo 监控信息
     * @return 结果
     */
    public int updateCameraInfo(CameraInfo cameraInfo);

    /**
     * 删除监控信息
     *
     * @param cameraId 监控信息主键
     * @return 结果
     */
    public int deleteCameraInfoByCameraId(String cameraId);

    /**
     * 批量删除监控信息
     *
     * @param cameraIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCameraInfoByCameraIds(String[] cameraIds);

    /**
     * 更新在线状态(第三方相机编号)
     * @param cameraInfo
     * @return
     */
    public int updateOnlineStatusByIndexCode(CameraInfo cameraInfo);

    /**
     * 更新在线状态(主键)
     * @param cameraInfo
     * @return
     */
    public int updateOnlineStatusById(CameraInfo cameraInfo);
}