package com.lqkj.business.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.business.entity.CmsCategory;

/**
 * 信息分类Mapper接口
 *
 * @author lqkj
 * @date 2023-02-14
 */
@Mapper
public interface CmsCategoryMapper
{
    /**
     * 查询信息分类
     *
     * @param categoryId 信息分类主键
     * @return 信息分类
     */
    public CmsCategory selectCmsCategoryByCategoryId(Long categoryId);

    /**
     * 查询信息分类列表
     *
     * @param cmsCategory 信息分类
     * @return 信息分类集合
     */
    public List<CmsCategory> selectCmsCategoryList(CmsCategory cmsCategory);

    /**
     * 新增信息分类
     *
     * @param cmsCategory 信息分类
     * @return 结果
     */
    public int insertCmsCategory(CmsCategory cmsCategory);

    /**
     * 修改信息分类
     *
     * @param cmsCategory 信息分类
     * @return 结果
     */
    public int updateCmsCategory(CmsCategory cmsCategory);

    /**
     * 删除信息分类
     *
     * @param categoryId 信息分类主键
     * @return 结果
     */
    public int deleteCmsCategoryByCategoryId(Long categoryId);

    /**
     * 批量删除信息分类
     *
     * @param categoryIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCmsCategoryByCategoryIds(Long[] categoryIds);

    public int hasChildByCategoryId(Long categoryId);

    public int checkExistCmsNews(Long categoryId);

    public List<CmsCategory> selectParentCategoryList();
}
