package com.lqkj.camera.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 流媒体推送服务配置
 */
@Component
@ConfigurationProperties(prefix = "camera-config")
public class CameraConfig {
    private Integer maxOnline = 16; //视频最大并发路数
    private Integer keepalive = Integer.MAX_VALUE;// 保活时长（分钟）默认持续在线
    private String pushHost = "127.0.0.1";// 推送地址
    private String httpFlvHost = "";
    private Integer pushPort = 1935;// 推送端口
    private String mainCode = "1024";// 主码流最大码率
    private Boolean tcpConnectCheck = true; //是否启用tcp连通校验

    private String videoType = "flv"; //转流类型，flv或hls

    public String getHttpFlvHost() {
        return httpFlvHost;
    }

    public void setHttpFlvHost(String httpFlvHost) {
        this.httpFlvHost = httpFlvHost;
    }

    public Integer getMaxOnline() {
        return maxOnline;
    }

    public void setMaxOnline(Integer maxOnline) {
        this.maxOnline = maxOnline;
    }

    public Integer getKeepalive() {
        return keepalive;
    }

    public void setKeepalive(Integer keepalive) {
        this.keepalive = keepalive;
    }

    public String getPushHost() {
        return pushHost;
    }

    public void setPushHost(String pushHost) {
        this.pushHost = pushHost;
    }

    public Integer getPushPort() {
        return pushPort;
    }

    public void setPushPort(Integer pushPort) {
        this.pushPort = pushPort;
    }

    public String getMainCode() {
        return mainCode;
    }

    public void setMainCode(String mainCode) {
        this.mainCode = mainCode;
    }

    public String getVideoType() {
        return videoType;
    }

    public void setVideoType(String videoType) {
        this.videoType = videoType;
    }

    public Boolean getTcpConnectCheck() {
        return tcpConnectCheck;
    }

    public void setTcpConnectCheck(Boolean tcpConnectCheck) {
        this.tcpConnectCheck = tcpConnectCheck;
    }
}
