package com.lqkj.common.constant;

/**
 * 代码生成通用常量
 * 
 * @author lh
 */
public class GenConstants
{
    /** 单表（增删改查） */
    public static final String TPL_CRUD = "crud";

    /** 树表（增删改查） */
    public static final String TPL_TREE = "tree";

    /** 主子表（增删改查） */
    public static final String TPL_SUB = "sub";

    /** 树编码字段 */
    public static final String TREE_CODE = "treeCode";

    /** 树父编码字段 */
    public static final String TREE_PARENT_CODE = "treeParentCode";

    /** 树名称字段 */
    public static final String TREE_NAME = "treeName";

    /** 上级菜单ID字段 */
    public static final String PARENT_MENU_ID = "parentMenuId";

    /** 上级菜单名称字段 */
    public static final String PARENT_MENU_NAME = "parentMenuName";

    /** 数据库字符串类型 */
    public static final String[] COLUMNTYPE_STR = { "char", "varchar", "bpchar" };

    /** 数据库文本类型 */
    public static final String[] COLUMNTYPE_TEXT = { "text" };

    /** 数据库时间类型 */
    public static final String[] COLUMNTYPE_TIME = { "time", "date", "timestamp" };


    /** 数据库数字类型 */
    public static final String[] COLUMNTYPE_NUMBER = {"int2", "int4","int8", "float4", "float8", "numeric",
            "bit",  "decimal" , "money"};

    public static final String[]  COLUMNTYPE_BOOLEAN = {"bool"};

    /** 页面不需要编辑字段 */
    public static final String[] COLUMNNAME_NOT_EDIT = { "id", "create_by", "create_time", "del_flag" };

    /** 页面不需要显示的列表字段 */
    public static final String[] COLUMNNAME_NOT_LIST = { "id", "create_by", "create_time", "del_flag", "update_by",
            "update_time" };

    /** 页面不需要查询字段 */
    public static final String[] COLUMNNAME_NOT_QUERY = { "id", "create_by", "create_time", "del_flag", "update_by",
            "update_time", "remark" };

    /** Entity基类字段 */
    public static final String[] BASE_ENTITY = { "createBy", "createTime", "updateBy", "updateTime", "remark" };

    /** Tree基类字段 */
    public static final String[] TREE_ENTITY = { "parentName", "parentId", "orderNum", "ancestors", "children" };

    /** 文本框 */
    public static final String HTML_INPUT = "input";

    /** 文本域 */
    public static final String HTML_TEXTAREA = "textarea";

    /** 下拉框 */
    public static final String HTML_SELECT = "select";

    /** 单选框 */
    public static final String HTML_RADIO = "radio";

    /** 复选框 */
    public static final String HTML_CHECKBOX = "checkbox";

    /** 日期时间控件 */
    public static final String HTML_DATETIME = "datetime";

    /** 日期控件 */
    public static final String HTML_DATE = "date";

    /** 时间控件 */
    public static final String HTML_TIME = "time";

    /** 图片上传控件 */
    public static final String HTML_IMAGE_UPLOAD = "imageUpload";

    /** 文件上传控件 */
    public static final String HTML_FILE_UPLOAD = "fileUpload";

    /** 富文本控件 */
    public static final String HTML_EDITOR = "editor";

    /** switch开关 */
    public static final String HTML_SWITCH = "switch";

    /** 计数器 */
    public static final String HTML_INPUT_NUMBER = "inputNumber";

    /** 字符串类型 */
    public static final String TYPE_STRING = "String";

    /** 整型 */
    public static final String TYPE_INTEGER = "Integer";

    /** 长整型 */
    public static final String TYPE_LONG = "Long";

    /** Bool类型*/
    public static final String TYPE_BOOLEAN = "Boolean";


    /** 高精度计算类型 */
    public static final String TYPE_BIGDECIMAL = "BigDecimal";

    /** 时间类型 */
    public static final String TYPE_LOCALTIME = "LocalTime";

    /** 日期类型 */
    public static final String TYPE_LOCALDATE = "LocalDate";

    /** 日期时间类型 */
    public static final String TYPE_LOCALDATETIME = "LocalDateTime";

    /** 模糊查询 */
    public static final String QUERY_LIKE = "LIKE";

}
