package com.lqkj.info.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;
import org.codehaus.jackson.annotate.JsonIgnore;

/**
 * 大楼信息对象 building_info
 * 
 * @author lqkj
 * @date 2024-11-12
 */
public class BuildingInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 大楼编号 */
    @Excel(name = "大楼编号")
    private Integer buildingId;

    /** 类型编号 */
    @Excel(name = "类型编号")
    private Integer typeId;

    @JsonIgnore
    private String typeName;

    /** 大楼名称 */
    @Excel(name = "大楼名称")
    private String buildingName;

    /** 地图编码 */
    private Integer mapCode;

    /** 英文名称 */
    private String enName;

    /** 别名 */
    private String alias;

    /** 排序 */
    private Integer orderId;

    /** 是否已同步 */
    private Boolean synStatus;

    /** 是否删除 */
    private Boolean delete;

    /** 简介 */
    private String brief;

    /** 二维坐标 */
    private String lngLat;

    /** 备注 */
    private String memo;

    /** 三维坐标 */
    @Excel(name = "三维坐标")
    private String rasterLngLat;

    /** 地址 */
    private String address;

    /** 高度 */
    private Integer height;

    /** 楼层数 */
    private Integer levelNumber;

    /** 户数 */
    @Excel(name = "户数")
    private Integer households;

    /** 面积 */
    @Excel(name = "面积")
    private Integer acreage;

    public void setBuildingId(Integer buildingId) 
    {
        this.buildingId = buildingId;
    }

    public Integer getBuildingId() 
    {
        return buildingId;
    }
    public void setTypeId(Integer typeId) 
    {
        this.typeId = typeId;
    }

    public Integer getTypeId() 
    {
        return typeId;
    }
    public void setBuildingName(String buildingName) 
    {
        this.buildingName = buildingName;
    }

    public String getBuildingName() 
    {
        return buildingName;
    }
    public void setMapCode(Integer mapCode) 
    {
        this.mapCode = mapCode;
    }

    public Integer getMapCode() 
    {
        return mapCode;
    }
    public void setEnName(String enName) 
    {
        this.enName = enName;
    }

    public String getEnName() 
    {
        return enName;
    }
    public void setAlias(String alias) 
    {
        this.alias = alias;
    }

    public String getAlias() 
    {
        return alias;
    }
    public void setOrderId(Integer orderId) 
    {
        this.orderId = orderId;
    }

    public Integer getOrderId() 
    {
        return orderId;
    }
    public void setSynStatus(Boolean synStatus) 
    {
        this.synStatus = synStatus;
    }

    public Boolean getSynStatus() 
    {
        return synStatus;
    }
    public void setDelete(Boolean delete) 
    {
        this.delete = delete;
    }

    public Boolean getDelete() 
    {
        return delete;
    }
    public void setBrief(String brief) 
    {
        this.brief = brief;
    }

    public String getBrief() 
    {
        return brief;
    }
    public void setLngLat(String lngLat) 
    {
        this.lngLat = lngLat;
    }

    public String getLngLat()
    {
        return lngLat;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }
    public void setRasterLngLat(String rasterLngLat) 
    {
        this.rasterLngLat = rasterLngLat;
    }

    public String getRasterLngLat()
    {
        return rasterLngLat;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setHeight(Integer height) 
    {
        this.height = height;
    }

    public Integer getHeight() 
    {
        return height;
    }
    public void setLevelNumber(Integer levelNumber) 
    {
        this.levelNumber = levelNumber;
    }

    public Integer getLevelNumber() 
    {
        return levelNumber;
    }
    public void setHouseholds(Integer households) 
    {
        this.households = households;
    }

    public Integer getHouseholds() 
    {
        return households;
    }
    public void setAcreage(Integer acreage) 
    {
        this.acreage = acreage;
    }

    public Integer getAcreage() 
    {
        return acreage;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("buildingId", getBuildingId())
            .append("typeId", getTypeId())
            .append("buildingName", getBuildingName())
            .append("mapCode", getMapCode())
            .append("enName", getEnName())
            .append("alias", getAlias())
            .append("orderId", getOrderId())
            .append("synStatus", getSynStatus())
            .append("delete", getDelete())
            .append("brief", getBrief())
            .append("lngLat", getLngLat())
            .append("memo", getMemo())
            .append("rasterLngLat", getRasterLngLat())
            .append("address", getAddress())
            .append("height", getHeight())
            .append("levelNumber", getLevelNumber())
            .append("households", getHouseholds())
            .append("acreage", getAcreage())
            .toString();
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
}