package com.lqkj.info.entity;

import java.time.LocalDateTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 预警信息对象 forewarning_info
 * 
 * @author lqkj
 * @date 2024-11-12
 */
public class ForewarningInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 预警id */
    private Integer forewarningId;

    /** 预警标题 */
    @Excel(name = "预警标题")
    private String forewarningName;

    /** 内容 */
    private String content;

    /** 设备id */
    @Excel(name = "设备id")
    private Integer equipmentId;

    /** 设备名 */
    @Excel(name = "设备名")
    private String equipmentName;

    /** 是否解决 */
    @Excel(name = "是否解决")
    private Boolean isResolve;

    /** 园区id */
    private Integer parkId;

    /** 解决时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone="GMT+8")
    @Excel(name = "解决时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime resolveTime;

    public void setForewarningId(Integer forewarningId) 
    {
        this.forewarningId = forewarningId;
    }

    public Integer getForewarningId() 
    {
        return forewarningId;
    }
    public void setForewarningName(String forewarningName) 
    {
        this.forewarningName = forewarningName;
    }

    public String getForewarningName() 
    {
        return forewarningName;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setEquipmentId(Integer equipmentId) 
    {
        this.equipmentId = equipmentId;
    }

    public Integer getEquipmentId() 
    {
        return equipmentId;
    }
    public void setEquipmentName(String equipmentName) 
    {
        this.equipmentName = equipmentName;
    }

    public String getEquipmentName() 
    {
        return equipmentName;
    }
    public void setIsResolve(Boolean isResolve) 
    {
        this.isResolve = isResolve;
    }

    public Boolean getIsResolve() 
    {
        return isResolve;
    }
    public void setResolveTime(LocalDateTime resolveTime) 
    {
        this.resolveTime = resolveTime;
    }

    public LocalDateTime getResolveTime() 
    {
        return resolveTime;
    }

    public Integer getParkId() {
        return parkId;
    }

    public void setParkId(Integer parkId) {
        this.parkId = parkId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("forewarningId", getForewarningId())
            .append("forewarningName", getForewarningName())
            .append("content", getContent())
            .append("equipmentId", getEquipmentId())
            .append("equipmentName", getEquipmentName())
            .append("createTime", getCreateTime())
            .append("isResolve", getIsResolve())
            .append("resolveTime", getResolveTime())
            .append("parkId", getParkId())
            .toString();
    }
}