package com.lqkj.info.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 模型信息对象 model_info
 * 
 * @author lqkj
 * @date 2024-11-23
 */
public class ModelInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模型ID */
    private Integer modelId;

    /** 模型名称 */
    @Excel(name = "模型名称")
    private String modelName;

    /** 原始模型文件地址 */
    private String originalPath;

    /** 模型图标文件地址 */
    @Excel(name = "模型图标文件地址")
    private String modelIcon;

    /** 方案id */
    @Excel(name = "方案id")
    private Integer planId;

    /** 位置信息 */
    private Object trans;

    public void setModelId(Integer modelId) 
    {
        this.modelId = modelId;
    }

    public Integer getModelId() 
    {
        return modelId;
    }
    public void setModelName(String modelName) 
    {
        this.modelName = modelName;
    }

    public String getModelName() 
    {
        return modelName;
    }
    public void setOriginalPath(String originalPath) 
    {
        this.originalPath = originalPath;
    }

    public String getOriginalPath() 
    {
        return originalPath;
    }
    public void setModelIcon(String modelIcon) 
    {
        this.modelIcon = modelIcon;
    }

    public String getModelIcon() 
    {
        return modelIcon;
    }
    public void setPlanId(Integer planId) 
    {
        this.planId = planId;
    }

    public Integer getPlanId() 
    {
        return planId;
    }

    public Object getTrans() {
        return trans;
    }

    public void setTrans(Object trans) {
        this.trans = trans;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("modelId", getModelId())
            .append("modelName", getModelName())
            .append("originalPath", getOriginalPath())
            .append("modelIcon", getModelIcon())
            .append("planId", getPlanId())
            .append("trans", getTrans())
            .toString();
    }
}