package com.lqkj.info.entity;

import java.time.LocalDateTime;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 主体信息对象 organization_info
 * 
 * @author lqkj
 * @date 2024-11-13
 */
public class OrganizationInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主体id */
    private Integer organizationId;

    /** 类别id */
    @Excel(name = "类别id")
    private Integer typeId;

    /** 房间编号 */
    @Excel(name = "房间编号")
    private Integer roomId;

    /** 大楼编号 */
    @Excel(name = "大楼编号")
    private Integer buildingId;

    /** 区域id */
    @Excel(name = "区域id")
    private Integer areaId;

    /** 产业类型 */
    private Integer industryType;

    /** 户型 */
    private Integer houseTypeId;

    /** 名称 */
    @Excel(name = "名称")
    private String organizationName;

    /** 简介 */
    private String intro;

    /** 二维坐标 */
    private String lngLat;

    /** 三维坐标 */
    private String rasterLngLat;

    /** 是否重要 */
    @Excel(name = "是否重要")
    private Boolean important;

    /** 类型名 */
    private String typeName;

    /** 地址 */
    private String address;

    /** logo */
    @Excel(name = "logo")
    private String logo;

    /** 联系方式 */
    private String telephone;

    /** 主要产品 */
    private String product;

    /** 入驻时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone="GMT+8")
    private LocalDateTime enterTime;

    /** 员工人数 */
    private Integer employeNum;

    /** 宣传视频 */
    private String audio;

    /** 楼层 */
    private Integer floor;

    /** 园区id */
    private Integer parkId;

    public String getAudio() {
        return audio;
    }

    public void setAudio(String audio) {
        this.audio = audio;
    }

    public void setOrganizationId(Integer organizationId)
    {
        this.organizationId = organizationId;
    }

    public Integer getOrganizationId() 
    {
        return organizationId;
    }
    public void setTypeId(Integer typeId) 
    {
        this.typeId = typeId;
    }

    public Integer getTypeId() 
    {
        return typeId;
    }
    public void setRoomId(Integer roomId) 
    {
        this.roomId = roomId;
    }

    public Integer getRoomId() 
    {
        return roomId;
    }
    public void setBuildingId(Integer buildingId) 
    {
        this.buildingId = buildingId;
    }

    public Integer getBuildingId() 
    {
        return buildingId;
    }
    public void setAreaId(Integer areaId) 
    {
        this.areaId = areaId;
    }

    public Integer getAreaId() 
    {
        return areaId;
    }
    public void setOrganizationName(String organizationName) 
    {
        this.organizationName = organizationName;
    }

    public String getOrganizationName() 
    {
        return organizationName;
    }
    public void setIntro(String intro) 
    {
        this.intro = intro;
    }

    public String getIntro() 
    {
        return intro;
    }
    public void setLngLat(String lngLat) 
    {
        this.lngLat = lngLat;
    }

    public String getLngLat()
    {
        return lngLat;
    }
    public void setRasterLngLat(String rasterLngLat) 
    {
        this.rasterLngLat = rasterLngLat;
    }

    public String getRasterLngLat()
    {
        return rasterLngLat;
    }
    public void setImportant(Boolean important) 
    {
        this.important = important;
    }

    public Boolean getImportant() 
    {
        return important;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setLogo(String logo) 
    {
        this.logo = logo;
    }

    public String getLogo() 
    {
        return logo;
    }
    public void setTelephone(String telephone) 
    {
        this.telephone = telephone;
    }

    public String getTelephone() 
    {
        return telephone;
    }
    public void setProduct(String product) 
    {
        this.product = product;
    }

    public String getProduct() 
    {
        return product;
    }
    public void setEnterTime(LocalDateTime enterTime) 
    {
        this.enterTime = enterTime;
    }

    public LocalDateTime getEnterTime() 
    {
        return enterTime;
    }
    public void setEmployeNum(Integer employeNum) 
    {
        this.employeNum = employeNum;
    }

    public Integer getEmployeNum() 
    {
        return employeNum;
    }

    public Integer getIndustryType() {
        return industryType;
    }

    public void setIndustryType(Integer industryType) {
        this.industryType = industryType;
    }

    public Integer getFloor() {
        return floor;
    }

    public void setFloor(Integer floor) {
        this.floor = floor;
    }

    public Integer getHouseTypeId() {
        return houseTypeId;
    }

    public void setHouseTypeId(Integer houseTypeId) {
        this.houseTypeId = houseTypeId;
    }

    public Integer getParkId() {
        return parkId;
    }

    public void setParkId(Integer parkId) {
        this.parkId = parkId;
    }

    @Override
    public String toString() {
        return "OrganizationInfo{" +
                "organizationId=" + organizationId +
                ", typeId=" + typeId +
                ", roomId=" + roomId +
                ", buildingId=" + buildingId +
                ", areaId=" + areaId +
                ", industryType=" + industryType +
                ", houseTypeId=" + houseTypeId +
                ", organizationName='" + organizationName + '\'' +
                ", intro='" + intro + '\'' +
                ", lngLat='" + lngLat + '\'' +
                ", rasterLngLat='" + rasterLngLat + '\'' +
                ", important=" + important +
                ", typeName='" + typeName + '\'' +
                ", address='" + address + '\'' +
                ", logo='" + logo + '\'' +
                ", telephone='" + telephone + '\'' +
                ", product='" + product + '\'' +
                ", enterTime=" + enterTime +
                ", employeNum=" + employeNum +
                ", audio='" + audio + '\'' +
                ", floor=" + floor +
                ", parkId=" + parkId +
                '}';
    }
}