package com.lqkj.info.entity;


import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;
import org.springframework.data.annotation.Transient;



/**
 * 政策信息对象 policy_info
 * 
 * @author lqkj
 * @date 2024-11-15
 */
public class PolicyInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 政策id */
    private Integer policyId;

    /** 类型id */
    private Integer typeId;

    /** 政策名称 */
    @Excel(name = "政策名称")
    private String policyName;

    /** 政策文件 */
    private String url;

    /** 文件名 */
    @Excel(name = "文件名")
    private String fileName;


    @Transient
    private String orderBy;


    public void setPolicyId(Integer policyId) 
    {
        this.policyId = policyId;
    }

    public Integer getPolicyId() 
    {
        return policyId;
    }
    public void setPolicyName(String policyName) 
    {
        this.policyName = policyName;
    }

    public String getPolicyName() 
    {
        return policyName;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setFileName(String fileName) 
    {
        this.fileName = fileName;
    }

    public String getFileName() 
    {
        return fileName;
    }

    public Integer getTypeId() {
        return typeId;
    }

    public void setTypeId(Integer typeId) {
        this.typeId = typeId;
    }

    public String getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(String orderBy) {
        this.orderBy = orderBy;
    }

    @Override
    public String toString() {
        return "PolicyInfo{" +
                "policyId=" + policyId +
                ", typeId=" + typeId +
                ", policyName='" + policyName + '\'' +
                ", url='" + url + '\'' +
                ", fileName='" + fileName + '\'' +
                ", orderBy='" + orderBy + '\'' +
                '}';
    }
}