package com.lqkj.info.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 站点信息对象 station_info
 * 
 * @author lqkj
 * @date 2024-11-14
 */
public class StationInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 站点id */
    private Integer stationId;

    /** 站点名称 */
    @Excel(name = "站点名称")
    private String stationName;

    /** 备注 */
    private String memo;

    /** 二维坐标 */
    @Excel(name = "二维坐标")
    private String lngLat;

    /** 三维坐标 */
    @Excel(name = "三维坐标")
    private String rasterLngLat;

    /** 车辆 */
    @Excel(name = "车辆")
    private Integer trafficId;

    public void setStationId(Integer stationId) 
    {
        this.stationId = stationId;
    }

    public Integer getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }
    public void setLngLat(String lngLat) 
    {
        this.lngLat = lngLat;
    }

    public String getLngLat() 
    {
        return lngLat;
    }
    public void setRasterLngLat(String rasterLngLat) 
    {
        this.rasterLngLat = rasterLngLat;
    }

    public String getRasterLngLat() 
    {
        return rasterLngLat;
    }
    public void setTrafficId(Integer trafficId) 
    {
        this.trafficId = trafficId;
    }

    public Integer getTrafficId() 
    {
        return trafficId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("memo", getMemo())
            .append("lngLat", getLngLat())
            .append("rasterLngLat", getRasterLngLat())
            .append("trafficId", getTrafficId())
            .toString();
    }
}