package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.ModelInfo;

/**
 * 模型信息Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-23
 */
@Mapper
public interface ModelInfoMapper 
{
    /**
     * 查询模型信息
     * 
     * @param modelId 模型信息主键
     * @return 模型信息
     */
    public ModelInfo selectModelInfoByModelId(Integer modelId);

    /**
     * 查询模型信息列表
     * 
     * @param modelInfo 模型信息
     * @return 模型信息集合
     */
    public List<ModelInfo> selectModelInfoList(ModelInfo modelInfo);

    /**
     * 新增模型信息
     * 
     * @param modelInfo 模型信息
     * @return 结果
     */
    public int insertModelInfo(ModelInfo modelInfo);

    /**
     * 修改模型信息
     * 
     * @param modelInfo 模型信息
     * @return 结果
     */
    public int updateModelInfo(ModelInfo modelInfo);

    /**
     * 删除模型信息
     * 
     * @param modelId 模型信息主键
     * @return 结果
     */
    public int deleteModelInfoByModelId(Integer modelId);

    /**
     * 批量删除模型信息
     * 
     * @param modelIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteModelInfoByModelIds(Integer[] modelIds);
}