package com.lqkj.info.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.info.entity.PolicyInfo;

/**
 * 政策信息Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-15
 */
@Mapper
public interface PolicyInfoMapper 
{
    /**
     * 查询政策信息
     * 
     * @param policyId 政策信息主键
     * @return 政策信息
     */
    public PolicyInfo selectPolicyInfoByPolicyId(Integer policyId);

    /**
     * 查询政策信息列表
     * 
     * @param policyInfo 政策信息
     * @return 政策信息集合
     */
    public List<PolicyInfo> selectPolicyInfoList(PolicyInfo policyInfo);

    /**
     * 新增政策信息
     * 
     * @param policyInfo 政策信息
     * @return 结果
     */
    public int insertPolicyInfo(PolicyInfo policyInfo);

    /**
     * 修改政策信息
     * 
     * @param policyInfo 政策信息
     * @return 结果
     */
    public int updatePolicyInfo(PolicyInfo policyInfo);

    /**
     * 删除政策信息
     * 
     * @param policyId 政策信息主键
     * @return 结果
     */
    public int deletePolicyInfoByPolicyId(Integer policyId);

    /**
     * 批量删除政策信息
     * 
     * @param policyIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePolicyInfoByPolicyIds(Integer[] policyIds);
}