package com.lqkj.info.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.info.mapper.OrganizationInfoMapper;
import com.lqkj.info.entity.OrganizationInfo;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 主体信息Service业务层处理
 * 
 * @author lqkj
 * @date 2024-11-13
 */
@Service
public class OrganizationInfoService
{
    @Autowired
    private OrganizationInfoMapper organizationInfoMapper;

    /**
     * 查询主体信息
     * 
     * @param organizationId 主体信息主键
     * @return 主体信息
     */
    
    public OrganizationInfo selectOrganizationInfoByOrganizationId(Integer organizationId)
    {
        return organizationInfoMapper.selectOrganizationInfoByOrganizationId(organizationId);
    }

    /**
     * 查询主体信息列表
     * 
     * @param organizationInfo 主体信息
     * @return 主体信息
     */
    public List<OrganizationInfo> selectOrganizationInfoList(OrganizationInfo organizationInfo)
    {
        return organizationInfoMapper.selectOrganizationInfoList(organizationInfo);
    }

    /**
     * 新增主体信息
     * 
     * @param organizationInfo 主体信息
     * @return 结果
     */
    
    public int insertOrganizationInfo(OrganizationInfo organizationInfo)
    {
        return organizationInfoMapper.insertOrganizationInfo(organizationInfo);
    }

    /**
     * 修改主体信息
     * 
     * @param organizationInfo 主体信息
     * @return 结果
     */
    
    public int updateOrganizationInfo(OrganizationInfo organizationInfo)
    {
        return organizationInfoMapper.updateOrganizationInfo(organizationInfo);
    }

    /**
     * 批量删除主体信息
     * 
     * @param organizationIds 需要删除的主体信息主键
     * @return 结果
     */
    
    public int deleteOrganizationInfoByOrganizationIds(Integer[] organizationIds)
    {
        return organizationInfoMapper.deleteOrganizationInfoByOrganizationIds(organizationIds);
    }

    /**
     * 删除主体信息信息
     * 
     * @param organizationId 主体信息主键
     * @return 结果
     */
    
    public int deleteOrganizationInfoByOrganizationId(Integer organizationId)
    {
        return organizationInfoMapper.deleteOrganizationInfoByOrganizationId(organizationId);
    }
}