package com.lqkj.info.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.info.mapper.ShiftPersonnelMapper;
import com.lqkj.info.entity.ShiftPersonnel;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 轮班人员信息Service业务层处理
 * 
 * @author lqkj
 * @date 2024-12-23
 */
@Service
public class ShiftPersonnelService
{
    @Autowired
    private ShiftPersonnelMapper shiftPersonnelMapper;

    /**
     * 查询轮班人员信息
     * 
     * @param personnelId 轮班人员信息主键
     * @return 轮班人员信息
     */
    
    public ShiftPersonnel selectShiftPersonnelByPersonnelId(Integer personnelId)
    {
        return shiftPersonnelMapper.selectShiftPersonnelByPersonnelId(personnelId);
    }

    /**
     * 查询轮班人员信息列表
     * 
     * @param shiftPersonnel 轮班人员信息
     * @return 轮班人员信息
     */
    public List<ShiftPersonnel> selectShiftPersonnelList(ShiftPersonnel shiftPersonnel)
    {
        return shiftPersonnelMapper.selectShiftPersonnelList(shiftPersonnel);
    }

    /**
     * 新增轮班人员信息
     * 
     * @param shiftPersonnel 轮班人员信息
     * @return 结果
     */
    
    public int insertShiftPersonnel(ShiftPersonnel shiftPersonnel)
    {
        return shiftPersonnelMapper.insertShiftPersonnel(shiftPersonnel);
    }

    /**
     * 修改轮班人员信息
     * 
     * @param shiftPersonnel 轮班人员信息
     * @return 结果
     */
    
    public int updateShiftPersonnel(ShiftPersonnel shiftPersonnel)
    {
        return shiftPersonnelMapper.updateShiftPersonnel(shiftPersonnel);
    }

    /**
     * 批量删除轮班人员信息
     * 
     * @param personnelIds 需要删除的轮班人员信息主键
     * @return 结果
     */
    
    public int deleteShiftPersonnelByPersonnelIds(Integer[] personnelIds)
    {
        return shiftPersonnelMapper.deleteShiftPersonnelByPersonnelIds(personnelIds);
    }

    /**
     * 删除轮班人员信息信息
     * 
     * @param personnelId 轮班人员信息主键
     * @return 结果
     */
    
    public int deleteShiftPersonnelByPersonnelId(Integer personnelId)
    {
        return shiftPersonnelMapper.deleteShiftPersonnelByPersonnelId(personnelId);
    }
}