package com.lqkj.ioc.controller;


import com.lqkj.common.core.model.ResultUtil;
import com.lqkj.ioc.service.SecurityPerceptionService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = {"安防感知"})
@RestController
@RequestMapping("/ioc/securityPerception")
public class SecurityPerceptionController {

    @Autowired
    private SecurityPerceptionService securityPerceptionService;

    @ApiOperation("智慧电梯-电梯基本情况")
    @GetMapping("/getElevatorBasicInfo")
    public ResultUtil getElevatorBasicInfo(){
        return ResultUtil.success(securityPerceptionService.getElevatorBasicInfo());
    }

    @ApiOperation("智慧电梯-电梯维修统计")
    @GetMapping("/getElevatorRepairStats")
    public ResultUtil getElevatorRepairStats(){
        return ResultUtil.success(securityPerceptionService.getElevatorRepairStats());
    }


    @ApiOperation("智慧电梯-电梯告警分布")
    @GetMapping("/elevatorAlarmDistribution")
    public ResultUtil elevatorAlarmDistribution(){
        return ResultUtil.success(securityPerceptionService.elevatorAlarmDistribution());
    }

    @ApiOperation("停车场-充电桩使用品牌")
    @GetMapping("/countChargingStationBrands")
    public ResultUtil countChargingStationBrands(){
        return ResultUtil.success(securityPerceptionService.countChargingStationBrands());
    }



}
