package com.lqkj.ioc.controller;


import com.lqkj.common.core.model.ResultUtil;
import com.lqkj.ioc.service.SupportResourcesServer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 配套资源
 */
@Api(tags = {"配套资源"})
@RestController
@RequestMapping("/ioc/SupportResources")
public class SupportResourcesController {

    @Autowired
    private SupportResourcesServer supportResourcesServer;

    @ApiOperation("配套资源-交通服务")
    @GetMapping("/transport")
    public ResultUtil transport(){
        return ResultUtil.success(supportResourcesServer.transport());
    }

    @ApiOperation("配套资源-便民服务")
    @GetMapping("/convenient")
    public ResultUtil convenient(){
        return ResultUtil.success(supportResourcesServer.convenient());
    }
}
