package com.lqkj.ioc.mapper;


import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

@Mapper
public interface SecurityPerceptionMapper {



    @Select("SELECT sdd.dict_label, COUNT(ei.elevator_id) " +
            "FROM sys_dict_data sdd " +
            "LEFT JOIN elevator_info ei ON sdd.dict_value::integer = ei.type " +
            "WHERE sdd.dict_type = 'elevator_type' GROUP BY sdd.dict_label"
    )
    List<Map<String, Object>> getElevatorBasicInfo();

    @Select("SELECT sdd.dict_label, COUNT(ei.elevator_id) " +
            "FROM sys_dict_data sdd " +
            "LEFT JOIN elevator_info ei ON sdd.dict_value::integer = ei.status " +
            "WHERE sdd.dict_type = 'elevator_info_status' GROUP BY sdd.dict_label")
    List<Map<String, Object>> getElevatorRepairStats();

    @Select("SELECT sdd.dict_label, COUNT(ei.elevator_id) " +
            "FROM sys_dict_data sdd " +
            "LEFT JOIN elevator_info ei ON sdd.dict_value::integer = ei.status " +
            "WHERE sdd.dict_type = 'elevator_info_status' and sdd.dict_value IN ('3', '7', '8') GROUP BY sdd.dict_label")
    List<Map<String, Object>> elevatorAlarmDistribution();

    @Select("SELECT sdd.dict_label, COUNT(ei.equipment_id) " +
            "FROM sys_dict_data sdd " +
            "LEFT JOIN equipment_info ei ON sdd.dict_value::integer = ei.brand " +
            "WHERE sdd.dict_type = 'equip_brand' GROUP BY sdd.dict_label")
    List<Map<String, Object>> countChargingStationBrands();
}
