package com.lqkj.ioc.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.ioc.entity.SynthesisAnalyze;

/**
 * 综合分析Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-18
 */
@Mapper
public interface SynthesisAnalyzeMapper 
{
    /**
     * 查询综合分析
     * 
     * @param id 综合分析主键
     * @return 综合分析
     */
    public SynthesisAnalyze selectSynthesisAnalyzeById(Integer id);

    /**
     * 查询综合分析列表
     * 
     * @param synthesisAnalyze 综合分析
     * @return 综合分析集合
     */
    public List<SynthesisAnalyze> selectSynthesisAnalyzeList(SynthesisAnalyze synthesisAnalyze);

    /**
     * 新增综合分析
     * 
     * @param synthesisAnalyze 综合分析
     * @return 结果
     */
    public int insertSynthesisAnalyze(SynthesisAnalyze synthesisAnalyze);

    /**
     * 修改综合分析
     * 
     * @param synthesisAnalyze 综合分析
     * @return 结果
     */
    public int updateSynthesisAnalyze(SynthesisAnalyze synthesisAnalyze);

    /**
     * 删除综合分析
     * 
     * @param id 综合分析主键
     * @return 结果
     */
    public int deleteSynthesisAnalyzeById(Integer id);

    /**
     * 批量删除综合分析
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSynthesisAnalyzeByIds(Integer[] ids);
}