package com.lqkj.ioc.service;

import java.util.List;

import org.apache.commons.lang.StringEscapeUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.ioc.mapper.SynthesisAnalyzeMapper;
import com.lqkj.ioc.entity.SynthesisAnalyze;

/**
 * 综合分析Service业务层处理
 *
 * @author lqkj
 * @date 2024-11-18
 */
@Service
public class SynthesisAnalyzeService
{
    @Autowired
    private SynthesisAnalyzeMapper synthesisAnalyzeMapper;

    /**
     * 查询综合分析
     *
     * @param id 综合分析主键
     * @return 综合分析
     */

    public SynthesisAnalyze selectSynthesisAnalyzeById(Integer id)
    {
        return synthesisAnalyzeMapper.selectSynthesisAnalyzeById(id);
    }

    /**
     * 查询综合分析列表
     *
     * @param synthesisAnalyze 综合分析
     * @return 综合分析
     */
    public List<SynthesisAnalyze> selectSynthesisAnalyzeList(SynthesisAnalyze synthesisAnalyze)
    {
        return synthesisAnalyzeMapper.selectSynthesisAnalyzeList(synthesisAnalyze);
    }

    /**
     * 新增综合分析
     *
     * @param synthesisAnalyze 综合分析
     * @return 结果
     */

    public int insertSynthesisAnalyze(SynthesisAnalyze synthesisAnalyze)
    {
        synthesisAnalyze.setOrientation(StringEscapeUtils.unescapeHtml(synthesisAnalyze.getOrientation()));
        synthesisAnalyze.setBonusPolicy(StringEscapeUtils.unescapeHtml(synthesisAnalyze.getBonusPolicy()));
        return synthesisAnalyzeMapper.insertSynthesisAnalyze(synthesisAnalyze);
    }

    /**
     * 修改综合分析
     *
     * @param synthesisAnalyze 综合分析
     * @return 结果
     */

    public int updateSynthesisAnalyze(SynthesisAnalyze synthesisAnalyze)
    {
        synthesisAnalyze.setOrientation(StringEscapeUtils.unescapeHtml(synthesisAnalyze.getOrientation()));
        synthesisAnalyze.setBonusPolicy(StringEscapeUtils.unescapeHtml(synthesisAnalyze.getBonusPolicy()));
        return synthesisAnalyzeMapper.updateSynthesisAnalyze(synthesisAnalyze);
    }

    /**
     * 批量删除综合分析
     *
     * @param ids 需要删除的综合分析主键
     * @return 结果
     */

    public int deleteSynthesisAnalyzeByIds(Integer[] ids)
    {
        return synthesisAnalyzeMapper.deleteSynthesisAnalyzeByIds(ids);
    }

    /**
     * 删除综合分析信息
     *
     * @param id 综合分析主键
     * @return 结果
     */

    public int deleteSynthesisAnalyzeById(Integer id)
    {
        return synthesisAnalyzeMapper.deleteSynthesisAnalyzeById(id);
    }
}