package com.lqkj.system.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 接口配置对象 sys_api_config
 * 
 * @author lqkj
 * @date 2023-02-06
 */
public class SysApiConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 接口路由 */
    @Excel(name = "接口路由")
    private String routePath;

    /** 接口名称 */
    @Excel(name = "接口名称")
    private String name;

    /** 返回类型 */
    @Excel(name = "返回类型")
    private String returnDataType;

    /** SQL脚本 */
    @Excel(name = "SQL脚本")
    private String sqlStr;

    /** 参数示例 */
    @Excel(name = "参数示例")
    private String paramExample;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setRoutePath(String routePath) 
    {
        this.routePath = routePath;
    }

    public String getRoutePath() 
    {
        return routePath;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setReturnDataType(String returnDataType) 
    {
        this.returnDataType = returnDataType;
    }

    public String getReturnDataType() 
    {
        return returnDataType;
    }
    public void setSqlStr(String sqlStr) 
    {
        this.sqlStr = sqlStr;
    }

    public String getSqlStr() 
    {
        return sqlStr;
    }
    public void setParamExample(String paramExample) 
    {
        this.paramExample = paramExample;
    }

    public String getParamExample() 
    {
        return paramExample;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("routePath", getRoutePath())
            .append("name", getName())
            .append("returnDataType", getReturnDataType())
            .append("sqlStr", getSqlStr())
            .append("paramExample", getParamExample())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
