package com.lqkj.type.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.type.entity.OrganizationType;

/**
 * 主体类型Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Mapper
public interface OrganizationTypeMapper 
{
    /**
     * 查询主体类型
     * 
     * @param typeId 主体类型主键
     * @return 主体类型
     */
    public OrganizationType selectOrganizationTypeByTypeId(Integer typeId);

    /**
     * 查询主体类型列表
     * 
     * @param organizationType 主体类型
     * @return 主体类型集合
     */
    public List<OrganizationType> selectOrganizationTypeList(OrganizationType organizationType);

    /**
     * 新增主体类型
     * 
     * @param organizationType 主体类型
     * @return 结果
     */
    public int insertOrganizationType(OrganizationType organizationType);

    /**
     * 修改主体类型
     * 
     * @param organizationType 主体类型
     * @return 结果
     */
    public int updateOrganizationType(OrganizationType organizationType);

    /**
     * 删除主体类型
     * 
     * @param typeId 主体类型主键
     * @return 结果
     */
    public int deleteOrganizationTypeByTypeId(Integer typeId);

    /**
     * 批量删除主体类型
     * 
     * @param typeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrganizationTypeByTypeIds(Integer[] typeIds);
}