package com.lqkj.type.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.lqkj.type.entity.TrafficType;

/**
 * 交通类型Mapper接口
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Mapper
public interface TrafficTypeMapper 
{
    /**
     * 查询交通类型
     * 
     * @param typeId 交通类型主键
     * @return 交通类型
     */
    public TrafficType selectTrafficTypeByTypeId(Integer typeId);

    /**
     * 查询交通类型列表
     * 
     * @param trafficType 交通类型
     * @return 交通类型集合
     */
    public List<TrafficType> selectTrafficTypeList(TrafficType trafficType);

    /**
     * 新增交通类型
     * 
     * @param trafficType 交通类型
     * @return 结果
     */
    public int insertTrafficType(TrafficType trafficType);

    /**
     * 修改交通类型
     * 
     * @param trafficType 交通类型
     * @return 结果
     */
    public int updateTrafficType(TrafficType trafficType);

    /**
     * 删除交通类型
     * 
     * @param typeId 交通类型主键
     * @return 结果
     */
    public int deleteTrafficTypeByTypeId(Integer typeId);

    /**
     * 批量删除交通类型
     * 
     * @param typeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrafficTypeByTypeIds(Integer[] typeIds);
}