package com.lqkj.type.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.type.mapper.EquipmentTypeMapper;
import com.lqkj.type.entity.EquipmentType;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 设备类型：equipment_typeService业务层处理
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Service
public class EquipmentTypeService
{
    @Autowired
    private EquipmentTypeMapper equipmentTypeMapper;

    /**
     * 查询设备类型：equipment_type
     * 
     * @param typeId 设备类型：equipment_type主键
     * @return 设备类型：equipment_type
     */
    
    public EquipmentType selectEquipmentTypeByTypeId(Integer typeId)
    {
        return equipmentTypeMapper.selectEquipmentTypeByTypeId(typeId);
    }

    /**
     * 查询设备类型：equipment_type列表
     * 
     * @param equipmentType 设备类型：equipment_type
     * @return 设备类型：equipment_type
     */
    public List<EquipmentType> selectEquipmentTypeList(EquipmentType equipmentType)
    {
        return equipmentTypeMapper.selectEquipmentTypeList(equipmentType);
    }

    /**
     * 新增设备类型：equipment_type
     * 
     * @param equipmentType 设备类型：equipment_type
     * @return 结果
     */
    
    public int insertEquipmentType(EquipmentType equipmentType)
    {
        return equipmentTypeMapper.insertEquipmentType(equipmentType);
    }

    /**
     * 修改设备类型：equipment_type
     * 
     * @param equipmentType 设备类型：equipment_type
     * @return 结果
     */
    
    public int updateEquipmentType(EquipmentType equipmentType)
    {
        return equipmentTypeMapper.updateEquipmentType(equipmentType);
    }

    /**
     * 批量删除设备类型：equipment_type
     * 
     * @param typeIds 需要删除的设备类型：equipment_type主键
     * @return 结果
     */
    
    public int deleteEquipmentTypeByTypeIds(Integer[] typeIds)
    {
        return equipmentTypeMapper.deleteEquipmentTypeByTypeIds(typeIds);
    }

    /**
     * 删除设备类型：equipment_type信息
     * 
     * @param typeId 设备类型：equipment_type主键
     * @return 结果
     */
    
    public int deleteEquipmentTypeByTypeId(Integer typeId)
    {
        return equipmentTypeMapper.deleteEquipmentTypeByTypeId(typeId);
    }
}