package com.lqkj.type.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.type.mapper.OrganizationTypeMapper;
import com.lqkj.type.entity.OrganizationType;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 主体类型Service业务层处理
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Service
public class OrganizationTypeService
{
    @Autowired
    private OrganizationTypeMapper organizationTypeMapper;

    /**
     * 查询主体类型
     * 
     * @param typeId 主体类型主键
     * @return 主体类型
     */
    
    public OrganizationType selectOrganizationTypeByTypeId(Integer typeId)
    {
        return organizationTypeMapper.selectOrganizationTypeByTypeId(typeId);
    }

    /**
     * 查询主体类型列表
     * 
     * @param organizationType 主体类型
     * @return 主体类型
     */
    public List<OrganizationType> selectOrganizationTypeList(OrganizationType organizationType)
    {
        return organizationTypeMapper.selectOrganizationTypeList(organizationType);
    }

    /**
     * 新增主体类型
     * 
     * @param organizationType 主体类型
     * @return 结果
     */
    
    public int insertOrganizationType(OrganizationType organizationType)
    {
        return organizationTypeMapper.insertOrganizationType(organizationType);
    }

    /**
     * 修改主体类型
     * 
     * @param organizationType 主体类型
     * @return 结果
     */
    
    public int updateOrganizationType(OrganizationType organizationType)
    {
        return organizationTypeMapper.updateOrganizationType(organizationType);
    }

    /**
     * 批量删除主体类型
     * 
     * @param typeIds 需要删除的主体类型主键
     * @return 结果
     */
    
    public int deleteOrganizationTypeByTypeIds(Integer[] typeIds)
    {
        return organizationTypeMapper.deleteOrganizationTypeByTypeIds(typeIds);
    }

    /**
     * 删除主体类型信息
     * 
     * @param typeId 主体类型主键
     * @return 结果
     */
    
    public int deleteOrganizationTypeByTypeId(Integer typeId)
    {
        return organizationTypeMapper.deleteOrganizationTypeByTypeId(typeId);
    }
}