package com.lqkj.type.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.type.mapper.PlanTypeMapper;
import com.lqkj.type.entity.PlanType;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 规划类型Service业务层处理
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Service
public class PlanTypeService
{
    @Autowired
    private PlanTypeMapper planTypeMapper;

    /**
     * 查询规划类型
     * 
     * @param typeId 规划类型主键
     * @return 规划类型
     */
    
    public PlanType selectPlanTypeByTypeId(Integer typeId)
    {
        return planTypeMapper.selectPlanTypeByTypeId(typeId);
    }

    /**
     * 查询规划类型列表
     * 
     * @param planType 规划类型
     * @return 规划类型
     */
    public List<PlanType> selectPlanTypeList(PlanType planType)
    {
        return planTypeMapper.selectPlanTypeList(planType);
    }

    /**
     * 新增规划类型
     * 
     * @param planType 规划类型
     * @return 结果
     */
    
    public int insertPlanType(PlanType planType)
    {
        return planTypeMapper.insertPlanType(planType);
    }

    /**
     * 修改规划类型
     * 
     * @param planType 规划类型
     * @return 结果
     */
    
    public int updatePlanType(PlanType planType)
    {
        return planTypeMapper.updatePlanType(planType);
    }

    /**
     * 批量删除规划类型
     * 
     * @param typeIds 需要删除的规划类型主键
     * @return 结果
     */
    
    public int deletePlanTypeByTypeIds(Integer[] typeIds)
    {
        return planTypeMapper.deletePlanTypeByTypeIds(typeIds);
    }

    /**
     * 删除规划类型信息
     * 
     * @param typeId 规划类型主键
     * @return 结果
     */
    
    public int deletePlanTypeByTypeId(Integer typeId)
    {
        return planTypeMapper.deletePlanTypeByTypeId(typeId);
    }
}