package com.lqkj.type.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.type.mapper.RoomTypeMapper;
import com.lqkj.type.entity.RoomType;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 房间类别Service业务层处理
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Service
public class RoomTypeService
{
    @Autowired
    private RoomTypeMapper roomTypeMapper;

    /**
     * 查询房间类别
     * 
     * @param typeId 房间类别主键
     * @return 房间类别
     */
    
    public RoomType selectRoomTypeByTypeId(Integer typeId)
    {
        return roomTypeMapper.selectRoomTypeByTypeId(typeId);
    }

    /**
     * 查询房间类别列表
     * 
     * @param roomType 房间类别
     * @return 房间类别
     */
    public List<RoomType> selectRoomTypeList(RoomType roomType)
    {
        return roomTypeMapper.selectRoomTypeList(roomType);
    }

    /**
     * 新增房间类别
     * 
     * @param roomType 房间类别
     * @return 结果
     */
    
    public int insertRoomType(RoomType roomType)
    {
        return roomTypeMapper.insertRoomType(roomType);
    }

    /**
     * 修改房间类别
     * 
     * @param roomType 房间类别
     * @return 结果
     */
    
    public int updateRoomType(RoomType roomType)
    {
        return roomTypeMapper.updateRoomType(roomType);
    }

    /**
     * 批量删除房间类别
     * 
     * @param typeIds 需要删除的房间类别主键
     * @return 结果
     */
    
    public int deleteRoomTypeByTypeIds(Integer[] typeIds)
    {
        return roomTypeMapper.deleteRoomTypeByTypeIds(typeIds);
    }

    /**
     * 删除房间类别信息
     * 
     * @param typeId 房间类别主键
     * @return 结果
     */
    
    public int deleteRoomTypeByTypeId(Integer typeId)
    {
        return roomTypeMapper.deleteRoomTypeByTypeId(typeId);
    }
}