package com.lqkj.type.service;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.lqkj.type.mapper.TrafficTypeMapper;
import com.lqkj.type.entity.TrafficType;
import com.lqkj.common.utils.uuid.IdUtils;
/**
 * 交通类型Service业务层处理
 * 
 * @author lqkj
 * @date 2024-11-11
 */
@Service
public class TrafficTypeService
{
    @Autowired
    private TrafficTypeMapper trafficTypeMapper;

    /**
     * 查询交通类型
     * 
     * @param typeId 交通类型主键
     * @return 交通类型
     */
    
    public TrafficType selectTrafficTypeByTypeId(Integer typeId)
    {
        return trafficTypeMapper.selectTrafficTypeByTypeId(typeId);
    }

    /**
     * 查询交通类型列表
     * 
     * @param trafficType 交通类型
     * @return 交通类型
     */
    public List<TrafficType> selectTrafficTypeList(TrafficType trafficType)
    {
        return trafficTypeMapper.selectTrafficTypeList(trafficType);
    }

    /**
     * 新增交通类型
     * 
     * @param trafficType 交通类型
     * @return 结果
     */
    
    public int insertTrafficType(TrafficType trafficType)
    {
        return trafficTypeMapper.insertTrafficType(trafficType);
    }

    /**
     * 修改交通类型
     * 
     * @param trafficType 交通类型
     * @return 结果
     */
    
    public int updateTrafficType(TrafficType trafficType)
    {
        return trafficTypeMapper.updateTrafficType(trafficType);
    }

    /**
     * 批量删除交通类型
     * 
     * @param typeIds 需要删除的交通类型主键
     * @return 结果
     */
    
    public int deleteTrafficTypeByTypeIds(Integer[] typeIds)
    {
        return trafficTypeMapper.deleteTrafficTypeByTypeIds(typeIds);
    }

    /**
     * 删除交通类型信息
     * 
     * @param typeId 交通类型主键
     * @return 结果
     */
    
    public int deleteTrafficTypeByTypeId(Integer typeId)
    {
        return trafficTypeMapper.deleteTrafficTypeByTypeId(typeId);
    }
}