CREATE TABLE "public"."synthesis_analyze"(
	id	 SERIAL	not null,
	orientation	text	null,
	bonus_policy text	null,
	planning_layout varchar(255)	null,
	audio_url	varchar(255)	null,
	constraint PK_SYNTHESIS_ANALYZE primary key (id)
);


ALTER TABLE traffic_type ADD COLUMN icon varchar(255);
comment on column traffic_type.icon is '图标';



ALTER TABLE area_type ADD COLUMN icon varchar(255);
comment on column area_type.icon is '图标';


ALTER TABLE building_type ADD COLUMN icon varchar(255);
comment on column building_type.icon is '图标';


ALTER TABLE equipment_type ADD COLUMN icon varchar(255);
comment on column equipment_type.icon is '图标';


ALTER TABLE house_type ADD COLUMN icon varchar(255);
comment on column house_type.icon is '图标';


ALTER TABLE organization_type ADD COLUMN icon varchar(255);
comment on column organization_type.icon is '图标';


ALTER TABLE plan_type ADD COLUMN icon varchar(255);
comment on column plan_type.icon is '图标';


ALTER TABLE room_type ADD COLUMN icon varchar(255);
comment on column room_type.icon is '图标';


INSERT INTO "public"."traffic_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (2, 0, '公交', 't', 't', NULL, 0, NULL, '#0D4D69', NULL);
INSERT INTO "public"."traffic_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (1, 0, '地铁', 't', 't', NULL, 1, NULL, '#1B8C2C', NULL);
INSERT INTO "public"."traffic_type" ("type_id", "parent_id", "type_name", "click", "search", "description", "order_id", "memo", "colour", "icon") VALUES (3, 0, '高铁', 't', 't', '高铁', 0, '高铁', NULL, NULL);

SELECT setval('traffic_type_type_id_seq', (SELECT MAX(type_id) FROM traffic_type));


ALTER TABLE traffic_info add COLUMN "location" jsonb;
comment on column traffic_info.location is '坐标';

ALTER TABLE area_info ALTER COLUMN memo TYPE VARCHAR(9999);

ALTER TABLE model_info add COLUMN "plan_id" INT;
comment on column model_info.plan_id is '方案id';


ALTER TABLE sys_dict_data ALTER COLUMN dict_value TYPE VARCHAR(255);

ALTER TABLE area_info
ALTER COLUMN location SET DEFAULT '{"type": "Polygon", "coordinates": [[]]}';